Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.rest
Class Credential

    java.lang.Object
      com.twitterapime.model.DefaultEntity
          com.twitterapime.rest.Credential

All Implemented Interfaces:
  Entity

    public final class Credential

extends DefaultEntity

This class defines an entity that represents a user's credential.

Since:
  1.1
Version:
  1.2
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)
See Also:
  `UserAccountManager`

Field Summary

Fields inherited from class com.twitterapime.model.DefaultEntity
`data`

Constructor Summary
`Credential(java.lang.String username, java.lang.String password)` Deprecated.
`Credential(java.lang.String username, java.lang.String password, java.lang.String consumerKey, java.lang.String consumerSecret)` Create an instance of Credential class.
`Credential(java.lang.String username, java.lang.String consumerKey, java.lang.String consumerSecret, Token accessToken)` Create an instance of Credential class.

Method Summary

Methods inherited from class com.twitterapime.model.DefaultEntity
`equals, getArray, getDate, getInt, getLong, getObject, getString, hashCode, setData, setData, size, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Credential

    public Credential(java.lang.String username,
                      java.lang.String password)

  Deprecated.

  Create an instance of Credential class.

  Parameters:
    `username` - Username.
    `password` - Password.
  Throws:
    `java.lang.IllegalArgumentException` - If username/password is empty or null.

### Credential

    public Credential(java.lang.String username,
                      java.lang.String password,
                      java.lang.String consumerKey,
                      java.lang.String consumerSecret)

  Create an instance of Credential class.

  Parameters:
    `username` - Username.
    `password` - Password.
    `consumerKey` - Consumer key.
    `consumerSecret` - Consumer secret.
  Throws:
    `java.lang.IllegalArgumentException` - If username/password is empty or null.

### Credential

    public Credential(java.lang.String username,
                      java.lang.String consumerKey,
                      java.lang.String consumerSecret,
                      Token accessToken)

  Create an instance of Credential class.

  Parameters:
    `username` - Username.
    `consumerKey` - Consumer key.
    `consumerSecret` - Consumer secret.
    `accessToken` - OAuth access token.
  Throws:
    `java.lang.IllegalArgumentException` - If username/accessToken is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.